Bug 11042 - contains obsolete version of /usr/share/emacs/site-lisp/t-mouse.el*
: contains obsolete version of /usr/share/emacs/site-lisp/t-mouse.el*
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gpm)
: unstable
: all Linux
: P2 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-09 18:45 by
Modified: 2007-03-10 19:36 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-09 18:45:03
В пакете gpm-1.20.1-alt7 содержатся файлы:

/usr/share/emacs/site-lisp/t-mouse.el
/usr/share/emacs/site-lisp/t-mouse.elc

Однако в пакете emacs22-common-22.0.95-alt0.24.pretest (и соответствующем
emacs22-el) уже есть /usr/share/emacs/22.0.95/lisp/t-mouse.el*, причём, похоже,
существенно новее, чем копия из gpm:

-;;; Copyright (C) 1994,1995 Alessandro Rubini <rubini@linux.it>
-;;;               parts are by Ian T Zimmermann <itz@rahul.net>, 1995,1998
+;; Authors: Alessandro Rubini and Ian T Zimmerman
+;; Maintainer: Nick Roberts <nickrob@gnu.org>
+;; Keywords: mouse gpm linux
+
+;; Copyright (C) 1994, 1995, 1998, 2006, 2007 Free Software Foundation, Inc.

-;; Developed for GNU Emacs 19.34, likely won't work with many others
-;; too much internals dependent cruft here.
+;; Modified by Nick Roberts for Emacs 22.  In particular, the mode-line is
+;; now position sensitive.

Я не проверял, работает ли ещё старая версия t-mouse.el в текущем emacs22, но
более старых версий GNU Emacs (без t-mouse в комплекте) в Сизифе всё равно нет;
подозреваю, что из пакета gpm эти файлы можно просто удалить.
------- Comment #1 From 2007-03-10 19:36:24 -------
Fixed in 1.20.1-alt8.